Bug 27357 - [FR] rpm extfs: REQUIRES += versions
: [FR] rpm extfs: REQUIRES += versions
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
: https://www.midnight-commander.org/ti...
:
:
:
  Show dependency tree
 
Reported: 2012-05-22 21:03 by
Modified: 2013-09-11 11:27 (History)


Attachments
/usr/lib/mc/extfs.d/rpm patch (2.08 KB, patch)
2012-05-22 21:03, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-05-22 21:03:59
Created an attachment (id=5468) [details]
/usr/lib/mc/extfs.d/rpm patch

Прилагаемый патчик имени led@ причёсывает rpm extfs и добавляет вывод версий
зависимостей, а поскольку при этом смысл смещается с "имя" к "имя и, возможно,
версия" -- то и сам генерируемый виртуальный файл переименован (REQUIRES вместо
REQUIRENAME).

По идее, ничего хуже небольшого удивления части пользователей это изменение
произвести не должно, а информативность увеличивается.

Если есть сомнения, могу предложить в апстрим.
------- Comment #1 From 2012-05-23 10:17:24 -------
Если вещь нужная, её всегда в апстрим лучше. :-)
А вот уж если там не берут...
------- Comment #2 From 2012-05-25 18:31:42 -------
np :)
------- Comment #3 From 2012-09-29 22:46:50 -------
(In reply to comment #0)

> Если есть сомнения, могу предложить в апстрим.

В апстрим не вешал ?
------- Comment #4 From 2012-10-02 11:05:00 -------
Url: https://www.midnight-commander.org/ticket/2812 :)

Вешал и пока тишина.
------- Comment #5 From 2012-10-25 12:15:41 -------
mc-4.8.6-alt4 -> sisyphus:

* Tue Oct 23 2012 Sergey Y. Afonin <asy@altlinux> 4.8.6-alt4
- added lib/mc/ext.d and lib/mc/extfs.d to findreq_skiplist

* Mon Oct 22 2012 Sergey Y. Afonin <asy@altlinux> 4.8.6-alt3
- merged with git://github.com/MidnightCommander/mc.git
- adapted alt-extfs-udar.patch for 4.8.6
- added alt-extfs-rpm.patch (ALT #27357)

* Sun Oct 14 2012 Sergey Y. Afonin <asy@altlinux> 4.8.6-alt2
- merged with git://github.com/MidnightCommander/mc.git
  (ticket 2897 closed)

* Sat Sep 22 2012 Sergey Y. Afonin <asy@altlinux> 4.8.6-alt1
- 4.8.6 (License changed to GPLv3+)
- removed ALT patches which subject of metaticket
  http://www.midnight-commander.org/ticket/2897 (Milestone: 4.8.7)
  - mc-4.7.5-alt-filetypes.patch
  - mc-4.7.0-debian-mc.ext-use-arj.patch
- removed mc-4.7.5.3-alt-extfs-udar.patch
  http://www.midnight-commander.org/ticket/34
------- Comment #6 From 2013-09-11 11:27:49 -------
В Midnight Commander 4.8.11 будет в апстриме:

VFS
    rpm extfs
        show dependency version (#2812)